org.apache.cassandra.cql3

## Class ResultSet.Codec

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet.Codec

All Implemented Interfaces:
  CBCodec<ResultSet>

Enclosing class:
  ResultSet

    public static class ResultSet.Codec
    extends java.lang.Object
    implements CBCodec<ResultSet>

### Constructor Summary

Constructors
Constructor and Description
`ResultSet.Codec()`

### Method Summary

Methods
`ResultSet` `decode(org.jboss.netty.buffer.ChannelBuffer body, int version)`
`void` `encode(ResultSet rs, org.jboss.netty.buffer.ChannelBuffer dest, int version)`
`int` `encodedSize(ResultSet rs, int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultSet.Codec

    public ResultSet.Codec()

### Method Detail

#### decode

    public ResultSet decode(org.jboss.netty.buffer.ChannelBuffer body,
                   int version)

Specified by:
  `decode` in interface `CBCodec<ResultSet>`

#### encode

    public void encode(ResultSet rs,
              org.jboss.netty.buffer.ChannelBuffer dest,
              int version)

Specified by:
  `encode` in interface `CBCodec<ResultSet>`

#### encodedSize

    public int encodedSize(ResultSet rs,
                  int version)

Specified by:
  `encodedSize` in interface `CBCodec<ResultSet>`